Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008111 [DCSS] Bug Report tweak have not tried 2014-02-07 04:22 2014-02-26 23:18
Reporter Sandman25 View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008111: Battlesphere summoned by enslaved monster remained friendly after enslavement has ended
Description I enslaved tengu reaver and it summoned battlesphere. Later tengu reaver became hostile and teleported away but battlesphere is still friendly after several turns.

The tengu reaver is no longer charmed.
The tengu reaver casts a spell at you.
The bolt of lightning misses you.
The tengu reaver hits you but does no damage.
The tengu reaver pecks you but does no damage.
The tengu reaver closely misses you.
Things that are here:
a bolt; a dire flail; a dire flail
You hit the tengu reaver.
The tengu reaver is heavily wounded.
The tengu reaver disappears!
Saving game... please wait.
Welcome back, Sandman25 the Purple Draconian Chaos Knight.
Xom titters.
Press ? for a list of commands and other information.
Press: ? - help, v - describe, . - travel
Here: a battlesphere (friendly)
The floor.
Press: ? - help, v - describe, . - travel
The floor.
Items here: % ( ) [[
a yaktaur corpse {@w1}; a chain mail; an orcish robe; 22 bolts; a crossbow
Press: ? - help, v - describe, . - travel
Here: a battlesphere (friendly)
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0008124closedgammafunk Fix various issues with spectral weapon, battlesphere, and grand_avatar 

-  Notes
(0025426)
gammafunk (administrator)
2014-02-26 19:09

This issue was fixed in 0.14-a0-2725-g8ffe610; all kinds of avatars now change alignment properly with their summoner. Thanks.

- Issue History
Date Modified Username Field Change
2014-02-07 04:22 Sandman25 New Issue
2014-02-09 17:49 neil Relationship added related to 0008124
2014-02-26 19:09 gammafunk Note Added: 0025426
2014-02-26 19:09 gammafunk Status new => resolved
2014-02-26 19:09 gammafunk Fixed in Branch => 0.14 development branch
2014-02-26 19:09 gammafunk Resolution open => done
2014-02-26 19:09 gammafunk Assigned To => gammafunk
2014-02-26 23:18 Sandman25 Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker